import MyKVFooter from './MyKVFooter.vue'

describe('<MyKVFooter />', () => {
  it('renders', () => {
    // see: https://on.cypress.io/mounting-vue
    cy.mount(MyKVFooter, {
      global: {
        config: {
          globalProperties: {
            $flavor: {}
          }
        }
      }
    })
    cy.viewport('macbook-15');
    cy.get('a').eq(0).should('contain', 'Datenschutz');
    cy.get('a').eq(1).should('contain', 'Impressum');
    cy.get('a').eq(2).should('contain', 'AGB');
    cy.get('a').eq(3).should('contain', 'Support');
  })
})
